/* The switch - the box around the slider */
/* <label class="switch">
		<input name="" value="1" checked="" type="checkbox">
		<div class="slider round "></div>
	</label>
*/

.switch {
  position: relative;
  display: inline-block;
  width: 42px;
  height: 26px;
}

.switch--middle {
  margin-bottom: 0;
  vertical-align: middle;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.switch .slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.switch .slider:before {
  position: absolute;
  content: "";
  height: 22px;
  width: 22px;
  left: 2px;
  bottom: 2px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

.switch input:checked + .slider {
  background-color: #00b200;
}

.switch input:focus + .slider {
  box-shadow: 0 0 1px #00b200;
}

.switch input:checked + .slider:before {
  -webkit-transform: translateX(16px);
  -ms-transform: translateX(16px);
  transform: translateX(16px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 30px;
}

.slider.round:before {
  border-radius: 50%;
}
